Page MenuHomePhabricator

Reports "Save a Copy" is broken
Closed, ResolvedPublic2 Story Points

Description

Steps to reproduce:

  • Open "Gateway Reconciliation MINIMAL"
  • Set up criteria to do something fancy (in my case, I was looking at the payment method breakdown for FR).
  • Click the Save a Copy button
  • Give the report a new name in the save dialog. Save.

You end up, problematically,

  • Still browsing the original report but with changed criteria and even changed report title, but the same report/instance/N URL. That's "Save As" behavior, not "Save a Copy". Maybe we change the button label? I don't even like "save a copy" here, do others find that desirable?
  • I don't see where the new report went. Maybe it didn't?

Event Timeline

awight created this task.Oct 30 2015, 5:43 AM
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added subscribers: Aklapper, atgo, awight and 2 others.
awight updated the task description. (Show Details)Oct 30 2015, 6:10 AM
awight set Security to None.

I should take a look at this. It sounds wrong. I wouldn't change save a copy wording unless you feel really strongly or can convince core team it's better because it's best to try not to have to carry too many patches

I've moved this back to doing as I think there are still flows in here that aren't right. It might be in the upstream version - but I think I need to do more review on this

I just submitted the patch against master & did a fairly thorough QA on it per https://github.com/civicrm/civicrm-core/pull/7226

I'll see if I get any core input & sync back those changes into our repo next

A couple of commits added - I also noticed that when you choose 'update' from actions the value is stored when it shouldn't be - I think that is an additional issue - and the commits are an improvement

I added (what turned out to be a very minor) fix to the commit to prevent the action being saved as part of the report.

Note that the actions menu & the my reports menu are the 2 parts of the Giant Rabbit reports work that I have NOT upstreamed to master yet - because I want to be more sure about how happy people are with them internally before trying to upstream

@CaitVirtue - this is the ticket that relates to that report wierdness.

Just to explain. What was happening was the report action was being saved as part of the report & then being actioned whenever it was accessed. Once we get this deployed that won't happen & in theory all will be ticketyboo.

I award Eileen a heart for her spectacular use of the word "ticketyboo!!"

When I first went to the US they were amused by us using 'Bob's your uncle' https://en.wikipedia.org/wiki/Bob%27s_your_uncle

ooh, i love that one. Didn't know the origin!

@CaitVirtue can we close this one? It's been done on our side since Dec 9

atgo closed this task as Resolved.Feb 3 2016, 10:16 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:43 PM